Subject: Re: bug#43527: [PATCH] grep: avoid unneeded compilation of regex

From: Norihiro Tanaka <[email-masked]>
Date: Sun, 27 Sep 2020 11:19:08 +0900

On Sat, 26 Sep 2020 18:12:37 -0700
Paul Eggert <[email-masked]> wrote:

> The patch should be harmless (though this fact isn't trivial) and I can
> see it being useful for plausible future performance improvements, so it
> would make sense to install it after the next release.

No longer need the patch.

This bug occurs when the last argument of the first GEAcompile () is
executed with 'false' and regex search is requested for the compiled
pattern.

However, with a recent fix by Paul, the first GEAcompile() no longer
seems to run in any case.